"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _InputAdornment = _interopRequireDefault(require("@material-ui/core/InputAdornment"));

var _FileCopy = _interopRequireDefault(require("@material-ui/icons/FileCopy"));

var _MiradorMenuButton = require("mirador/dist/es/src/components/MiradorMenuButton");

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var CopyToClipboard = function CopyToClipboard(_ref) {
  var onCopy = _ref.onCopy,
      supported = _ref.supported,
      t = _ref.t;

  if (!supported) {
    return null;
  }

  return /*#__PURE__*/_react["default"].createElement(_InputAdornment["default"], null, /*#__PURE__*/_react["default"].createElement(_MiradorMenuButton.MiradorMenuButton, {
    "aria-label": t("canvasLink.copyToClipboard"),
    edge: "end",
    onClick: onCopy
  }, /*#__PURE__*/_react["default"].createElement(_FileCopy["default"], {
    fontSize: "small"
  })));
};

CopyToClipboard.propTypes = process.env.NODE_ENV !== "production" ? {
  onCopy: _propTypes["default"].func.isRequired,
  supported: _propTypes["default"].bool.isRequired,
  t: _propTypes["default"].func.isRequired
} : {};
var _default = CopyToClipboard;
exports["default"] = _default;
module.exports = exports.default;