function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { getWindowConfig } from "mirador/dist/es/src/state/selectors";
import { createSelector } from "reselect";
var defaultConfig = {
  // Open the settings dialog
  dialogOpen: false,
  // Enable share plugin
  enabled: true,
  // Show the rights information defined in the manifest
  showRightsInformation: true,
  // Show only in single canvas view,
  singleCanvasOnly: false
};
/** Selector to get text display options for a given window */

export var getCanvasLinkOptions = createSelector([getWindowConfig], function (_ref) {
  var canvasLink = _ref.canvasLink;
  return _extends({}, defaultConfig, canvasLink !== null && canvasLink !== void 0 ? canvasLink : {});
});